#!/usr/bin/python3

tab=[]
for i in range(5):
   chiffre=int(input("Veuillez saisir votre chiffre No : "))
   tab.append(chiffre)
mini=tab[0]
maxi = tab[0]
cumul = 0
for val in tab:
  if val < mini:
    mini=val
    print("Le plus petit element du tableau est : " , mini)
  if val > maxi:
    maxi=val
    print("Le plus grand element du tableau est : " , maxi)
  cumul += val

moy = cumul / len(tab)
print("La moyenne des valeurs du tableau est de : " , moy)

#affichage du tableau
print ("Voici tous les elements du tableau : ")
for element in tab:
   print(element)
